MKCSMAPPER(1) | General Commands Manual | MKCSMAPPER(1)

# NAME

`mkcsmapper` — generates hashed conversion data for iconv(3)

# SYNOPSIS

`mkcsmapper` | [`-d`] [`-m` | `-p`] [`-o` outfile] [infile]

# DESCRIPTION

The `mkcsmapper` utility generates binary conversion data from plain text conversion tables for the iconv(3) library. The conversion data has two components: The conversion mapping between specific character encodings. A pivot file, which the possible source and destination encoding pairs or the set of mappings to use for a compound encoding.

The following options are available:

`-d`
  Turns on debug mode.
`-m`
  Generate mapping data from infile.
`-o` outfile
  Put generated binary data to outfile.
`-p`
  Generate pivot data from outfile.

# EXIT STATUS

The `mkcsmapper` utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

iconv(1), mkesdb(1), iconv(3)

# HISTORY

`mkcsmapper` first appeared in NetBSD 2.0, and made its appearance in FreeBSD 9.0.

# AUTHORS

This manual page was written by Gabor Kovesdan <gabor@FreeBSD.org>.

September 6, 2009 | NetBSD 11.99